<template>
  <div>
    <h1>MIDI Knife</h1>
    Found the following midi devices connected to this computer: <br />
    <template v-for="device in midiDevices">
      {{ device }}
    </template>
    <b-button @click="sendMidiData"> Send data </b-button>
  </div>
</template>

<script>
import midi from "@/api/midi.js";
export default {
  name: "LandingPage",
  props: {
    msg: String,
  },
  data() {
    return {
      midiDevices: [],
    };
  },
  methods: {
    // fetchMidiDevices() {
    //   const devices = [];
    //   for (let index = 0; index < this.output.getPortCount(); index++) {
    //     devices.push(this.output.getPortName(index));
    //   }
    //   this.midiDevices = devices;
    // },
    async sendMidiData(){
      midi.runTest(0);
      // [0xF0, 0x00, 0x4d, 0x4b, 0x00, 0x00, 0x0F, 0xF7]);
    }
  },
  created() {
    midi.setupLogging(0)
  },
};
</script>

<style scoped>
h1 {
  text-align: center;
}
</style>
